Library IEEE;
Use IEEE.std_logic_1164.all;
Use IEEE.std_logic_arith.all;

Entity seqcounter is

	port (clk, rst:in std_logic;
	      count:out std_logic_vector(2 downto 0));
	      
	      
end seqcounter;

Architecture seqcounter_arch of seqcounter is
	signal count_sig:std_logic_vector(2 downto 0);
	begin
		count <= count_sig;
		process(clk, rst)
		begin
			if(clk'event and clk = '1') then
				if(rst = '1') then
					count_sig <= "000";
					
				end if;
				
				case count_sig is
					when "000" => count_sig <= "001";
					when "001" => count_sig <= "010";
					when "010" => count_sig <= "011";
					when "100" => count_sig <= "101";
					when "101" => count_sig <= "110";
					when "110" => count_sig <= "111";
					when others => count_sig <= "000";
				end case;
				
			end if;
			
		end process;
		
end seqcounter_arch;
